%define modname apacheaccessor
%define dirname %{modname}
%define soname %{modname}.so
%define inifile B12_%{modname}.ini

Summary:	Simple API to Apache runtime configuration for PHP
Name:		php-%{modname}
Version:	1.0.1
Release:	%mkrel 3
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/ApacheAccessor/
Source0:	http://pecl.php.net/get/apacheaccessor-%{version}.tgz
Source1:	B12_apacheaccessor.ini
BuildRequires:	pkgconfig
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	apache-devel
BuildRequires:	apr-devel

%description
ApacheAccessor lets you retrieve Apache configuration (at runtime of current
proccess) as PHP array or dump it as HTML table.

%prep

%setup -q -n apacheaccessor-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-apxs=/usr/bin/apxs \
    --with-aprconfig=/usr/bin/apr-1-config
%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc package*.xml examples
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog

* Wed Jan 30 2013 oden <oden> 1.0.1-3.mga3
+ Revision: 393239
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 375662
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 oden <oden> 1.0.1-1.mga3
+ Revision: 292909
- fix build
- new version

* Wed Mar 28 2012 luigiwalser <luigiwalser> 0.1.0-6.mga2
+ Revision: 227216
- revert to 0.1.0 (0.1.1 does not build)
- httpd restart is handled by filetriggers now

  + spuhler <spuhler>
    - removed the invalid option --with-%%{modname}=shared,%%{_prefix}
    - rebuild against php-5.3.9
    - upgrade to version 0.1.1, rel 1

* Sun Feb 06 2011 spuhler <spuhler> 0.1.0-5.mga1
+ Revision: 47672
- removed buildroot definition from .spec
- imported package php-apacheaccessor

